Bug 118786 - Crash deleting a table using the floating table toolbar
Summary: Crash deleting a table using the floating table toolbar
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.5.2 release
Hardware: All Windows (All)
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0 target:6.1.1 target:6.1....
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Toolbars
  Show dependency treegraph
 
Reported: 2018-07-16 16:47 UTC by Telesto
Modified: 2018-10-03 13:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-07-16 16:47:47 UTC
Description:
Crash deleting a table with using the floating table toolbar

Steps to Reproduce:
1. Open Writer
2. Insert a table 2x2 (or something else)
3. Detach the table toolbar (make it floating)
4. Press the Delete table button of the toolbar

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Versie: 6.1.0.0.beta2
Build ID: 0f4d2060bc90b4008fbc8e6d9a49ec7eeea60b78
CPU-threads: 4; Besturingssysteem: Windows 6.3; UI-render: standaard; 
Locale: nl-NL (nl_NL); Calc: CL

and in
Version: 6.2.0.0.alpha0+
Build ID: e7d3976cb80f7e7401be071f905a764dd6cb4d6e
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-29_04:46:32
Locale: nl-NL (nl_NL); Calc: CL
Comment 1 Dieter Praas 2018-07-16 17:06:41 UTC
I confirm it with

Version: 6.0.5.2 (x64)
Build-ID: 54c8cbb85f300ac59db32fe8a675ff7683cd5a16
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: group

and

Version: 6.2.0.0.alpha0+ (x64)
Build ID: b0e291a7efcd3af2a72d0b622b1f1b84723f011f
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-30_23:43:40
Locale: en-US (de_DE); Calc: CL
Comment 2 Telesto 2018-07-16 17:16:54 UTC
No repro with
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 3 Xisco Faulí 2018-07-16 19:38:09 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4baec725e0dc0713f0d47003e9b10bc3b62f56ff


author	Jan-Marek Glogowski <glogow@fbihome.de>	2017-08-28 19:58:32 +0200
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2017-09-26 09:42:11 +0200
commit	4baec725e0dc0713f0d47003e9b10bc3b62f56ff (patch)
tree	72f21c28416068e46133964e420ca094af8b7587
parent	f633dcdfc0ad7a13d096d97b6753b55e8f8a3f07 (diff)
WIN run main thread redirects ignoring SolarMutex

Bisected with: bibisect-win32-6.0

Adding Cc: to Jan-Marek Glogowski
Comment 4 Commit Notification 2018-08-20 07:36:31 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=35a254750392dcd738481f5d6e8719cee9fb41b3

tdf#118786 WIN allow nested SendMessage calls

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-08-20 12:20:50 UTC
No longer crashing in

Version: 6.2.0.0.alpha0+
Build ID: 401cba4c20fbc930f034168872642428d7459218
CPU threads: 16; OS: Windows 6.3; UI render: default; 
Locale: en-GB (en_GB); Calc: threaded
Comment 6 Commit Notification 2018-08-23 14:38:16 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e392904c558d1f9fc91926511d148762813537e&h=libreoffice-6-1

tdf#118786 WIN allow nested SendMessage calls

It will be available in 6.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Luke 2018-08-24 02:40:41 UTC
Might have been a bit hasty to backport this. The fix is causing a 'make check' to fail. Reported on the dev list here:

http://document-foundation-mail-archive.969070.n3.nabble.com/JunitTest-forms-unoapi-tests-now-failing-on-Windows-tp4247132.html
Comment 8 Commit Notification 2018-08-24 13:15:38 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bf0a63dc93a746a008fb1656457c77de8df693ba

tdf#118786 WIN just assert in Yield

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2018-08-25 18:34:53 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a42c65176f2791cf5e48578a8898bf03185adc89&h=libreoffice-6-1

tdf#118786 WIN just assert in Yield

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2018-08-31 19:27:25 UTC
(In reply to Xisco Faulí from comment #5)
> No longer crashing in
> 
> Version: 6.2.0.0.alpha0+
> Build ID: 401cba4c20fbc930f034168872642428d7459218
> CPU threads: 16; OS: Windows 6.3; UI render: default; 
> Locale: en-GB (en_GB); Calc: threaded

Closing as VERIFIED FIXED

@Jan-Marek Glogowski, Thanks for fixing this!!!
Comment 11 Commit Notification 2018-10-03 13:49:29 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=316447dd0284d79516cc313636e5857f542d6417&h=libreoffice-6-0

tdf#118786 WIN allow nested SendMessage calls

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-10-03 13:49:36 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d546859719a7f0f6bb19a80a811c5e7724b25f3d&h=libreoffice-6-0

tdf#118786 WIN just assert in Yield

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.